org.apache.ignite.internal.processors.jobmetrics

## Class GridJobMetricsSnapshot

- java.lang.Object
- - org.apache.ignite.internal.processors.jobmetrics.GridJobMetricsSnapshot

Deprecated.
Check the `ReadOnlyMetricRegistry` with "name=compute.jobs" instead.

    @Deprecated
    public class GridJobMetricsSnapshot
    extends Object

Job metrics snapshot.

See Also:
  `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

### Constructor Summary

Constructors
Constructor and Description
`GridJobMetricsSnapshot()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getActiveJobs()` Deprecated.
`int` `getCancelJobs()` Deprecated.
`double` `getCpuLoad()` Deprecated.
`long` `getExecutionTime()` Deprecated.
`int` `getFinishedJobs()` Deprecated.
`long` `getMaximumExecutionTime()` Deprecated.
`long` `getMaximumWaitTime()` Deprecated.
`int` `getPassiveJobs()` Deprecated.
`int` `getRejectJobs()` Deprecated.
`int` `getStartedJobs()` Deprecated.
`long` `getTimestamp()` Deprecated.
`long` `getWaitTime()` Deprecated.
`void` `setActiveJobs(int activeJobs)` Deprecated.
`void` `setCancelJobs(int cancelJobs)` Deprecated.
`void` `setCpuLoad(double cpuLoad)` Deprecated.
`void` `setExecutionTime(long execTime)` Deprecated.
`void` `setFinishedJobs(int finished)` Deprecated.
`void` `setMaximumExecutionTime(long maxExecTime)` Deprecated.
`void` `setMaximumWaitTime(long maxWaitTime)` Deprecated.
`void` `setPassiveJobs(int passiveJobs)` Deprecated.
`void` `setRejectJobs(int rejectJobs)` Deprecated.
`void` `setStartedJobs(int started)` Deprecated.
`void` `setWaitTime(long waitTime)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobMetricsSnapshot

    public GridJobMetricsSnapshot()

Deprecated.

### Method Detail

#### getActiveJobs

    public int getActiveJobs()

Deprecated.

Returns:
  The activeJobs.

#### setActiveJobs

    public void setActiveJobs(int activeJobs)

Deprecated.

Parameters:
  `activeJobs` - The activeJobs to set.

#### getPassiveJobs

    public int getPassiveJobs()

Deprecated.

Returns:
  The passiveJobs.

#### setPassiveJobs

    public void setPassiveJobs(int passiveJobs)

Deprecated.

Parameters:
  `passiveJobs` - The passiveJobs to set.

#### getCancelJobs

    public int getCancelJobs()

Deprecated.

Returns:
  The cancelJobs.

#### setCancelJobs

    public void setCancelJobs(int cancelJobs)

Deprecated.

Parameters:
  `cancelJobs` - The cancelJobs to set.

#### getRejectJobs

    public int getRejectJobs()

Deprecated.

Returns:
  The rejectJobs.

#### setRejectJobs

    public void setRejectJobs(int rejectJobs)

Deprecated.

Parameters:
  `rejectJobs` - The rejectJobs to set.

#### getExecutionTime

    public long getExecutionTime()

Deprecated.

Returns:
  The execTime.

#### setExecutionTime

    public void setExecutionTime(long execTime)

Deprecated.

Parameters:
  `execTime` - The execTime to set.

#### getWaitTime

    public long getWaitTime()

Deprecated.

Returns:
  The waitTime.

#### setWaitTime

    public void setWaitTime(long waitTime)

Deprecated.

Parameters:
  `waitTime` - The waitTime to set.

#### getMaximumExecutionTime

    public long getMaximumExecutionTime()

Deprecated.

Returns:
  The maxExecTime.

#### setMaximumExecutionTime

    public void setMaximumExecutionTime(long maxExecTime)

Deprecated.

Parameters:
  `maxExecTime` - The maxExecTime to set.

#### getMaximumWaitTime

    public long getMaximumWaitTime()

Deprecated.

Returns:
  The maxWaitTime.

#### setMaximumWaitTime

    public void setMaximumWaitTime(long maxWaitTime)

Deprecated.

Parameters:
  `maxWaitTime` - The maxWaitTime to set.

#### getTimestamp

    public long getTimestamp()

Deprecated.

Returns:
  The timestamp.

#### getFinishedJobs

    public int getFinishedJobs()

Deprecated.

Returns:
  Number of finished jobs for this snapshot.

#### setFinishedJobs

    public void setFinishedJobs(int finished)

Deprecated.

Parameters:
  `finished` - Number of finished jobs for this snapshot.

#### getStartedJobs

    public int getStartedJobs()

Deprecated.

Returns:
  Started jobs.

#### setStartedJobs

    public void setStartedJobs(int started)

Deprecated.

Parameters:
  `started` - Started jobs.

#### getCpuLoad

    public double getCpuLoad()

Deprecated.

Returns:
  Current CPU load.

#### setCpuLoad

    public void setCpuLoad(double cpuLoad)

Deprecated.

Parameters:
  `cpuLoad` - Current CPU load.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022